Linux安全网 - Linux操作系统_Linux 命令_Linux教程_Linux黑客

会员投稿 投稿指南 本期推荐:
搜索:
您的位置: Linux安全网 > Linux编程 > » 正文

关于ASP.NET网站部署 --

来源: jpr1990 分享至:
 

-
   今日用Leapftp上传文件到网站服务器上发现,根目录下凭白无故多出一个"aspnet_client"文件夹.这可马虎不得,安全第一.赶紧上网查了一下.

原来是我上次用的程序自动生成的.

安装了.net框架之后,就会在网站目录下出现这样的文件夹.用以支持.net环境.在aspnet_client文件夹下还有system_web\2_0_50727两级目录.这表示你的.net framework 的版本为 2.0.50727,system_web\2_0_50727里面的有文件的话,是用于为.net验证控件提供脚本支持.

因而,站长朋友们当发现根目录下无故多出一个"aspnet_client"文件夹时,不要紧张.想一下自己最近有没有用过.net环境的程序.如果没有,那么就要小心啰.

一些关于.net的资料:

aspnet_regiis命令详解.

用法:

aspnet_regiis.exe[-i[r][-enable]|-u[a]|-r|-s[n]|-k[n]|-lv|-lk|-c|-e[a]|-?]

-i-安装ASP.NET的此版本,并更新IIS元数据库根处的 脚本映射和根以下的所有脚本映射。现有的低版本脚本映射升级到此版本。

-ir-安装ASP.NET的此版本,仅注册。不更新IIS中的脚本映射。

-enable-带-i或-ir指定-enable时,还将 在IIS安全控制台(IIS6.0或更高版本)中启用ASP.NET。

-s-在指定的路径以递归方式安装此版本的脚本映射。现有的低版本脚本映射升级到此版本。

例如aspnet_regiis.exe-sW3SVC/1/ROOT/SampleApp1

-sn-在指定的路径以非递归方式安装此版本的脚本映射。现有的低版本脚本映射升级到此版本。

-r-为IIS元数据库根位置的此版本 以及根以下的所有脚本映射安装脚本映射。不论当前版本是什么,所有现有的脚本映射都更改为此版本。

-u-卸载ASP.NET的此版本。到此版本的现有脚本映射重新映射到此计算机上安装的其余的最高ASP.NET版本。

 

-ua-卸载计算机上的所有ASP.NET版本

-k-从指定的路径中以递归方式移除到任何ASP.NET版本的所有脚本映射。

例如aspnet_regiis.exe-kW3SVC/1/ROOT/SampleApp1

-kn-从指定的路径中以非递归方式移除到任何ASP.NET版本的所有脚本映射。

 

-lv-列出计算机上安装的所有ASP.NET版本(包括状态和安装路径)。Status:Valid[(Root)]|Invalid

-lk-列出包含ASP.NET脚本映射的所有IIS元数据库项的所有路径(连同版本一起)。不显示从父项继承ASP.NET脚本映射的项。

-c-将客户端脚本的此版本安装到 每个IIS站点目录的aspnet_client子目录中。

-e-从每个IIS站点目录的aspnet_client子目录中移除客户端脚本的此版本。

-ea-从每个IIS站点目录的aspnet_client子目录中 移除客户端脚本的所有版本。

-?-打印此帮助文本。

example:

当系统新建一个asp.netweb应用程序的时候,提示错误信息如下:

"VisualStudio.NET已检测到指定的Web服务器运行的不是ASP.NET版本,你将无法运行ASP.NET应用程序或服务。"

可以尝试运行

aspnet_regiis-i

aspnet_regiis-r

两个命令来安装asp.net服务管理器.

如果还是不行的话,再尝试一下下面的操作:

1、先确定是不是1.1

2、把"IP地址"设成全部未分配

3、在IE连接设置中把本地地址不使用代理服务器那里打上勾

原文链接:http://3hao.banzhu.net/article/3hao-43-844663.html

 

==========================================================

使用aspnet_regiis.exe注册.NET Framework

重新安装IIS以后,需要用aspnet_regiis.exe来注册.NET Framework, 如下:

C:\WINDOWS\Microsoft.NET\Framework\v1.1.4322\aspnet_regiis.exe -i

如果机器上同时装有多个版本 .NET Framework ,可以使用aspnet_regiis.exe 为某个asp.net 应用程序指定所用.net framework版本,如下:
C:\WINDOWS\Microsoft.NET\Framework\v2.0.507\aspnet_regiis.exe.

IIS,重新注册
在 %SystemRoot%\Microsoft.NET\Framework\版本\
运行
aspnet_regiis -i

『版本:例为v2.0.507』

===========================================================================
要为 ASP.NET 修复 IIS 映射,请按照下列步骤执行操作:
运行 Aspnet_regiis.exe 实用工具:
单击“开始”,然后单击“运行”。
在“打开”文本框中,键入 cmd,然后按 ENTER 键。
在命令提示符处键入以下命令,然后按 ENTER 键:
"%windir%\Microsoft.NET\Framework\版本\aspnet_regiis.exe" -i

在此路径中,版本 代表在服务器上安装的 .NET Framework
的版本号。键入该命令时,必须将此占位符替换为实际版本号。
注册 Aspnet_isapi.dll:
单击“开始”,然后单击“运行”。
在“打开”文本框中,键入以下命令,然后按 ENTER 键:
regsvr32 %windir%\Microsoft.NET\Framework\版本\aspnet_isapi.dll

Regsvr32 将返回注册结果

更多详情请查看>>

 


Tags:
分享至:
最新图文资讯
1 2 3 4 5 6
验证码:点击我更换图片 理智评论文明上网,拒绝恶意谩骂 用户名:
关于我们 - 联系我们 - 广告服务 - 友情链接 - 网站地图 - 版权声明 - 发展历史